#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "usart.h"
#include "delay.h"
#include "stm32f37x_sdadc.h"
#include "stm32f37x_gpio.h"
#include "stm32f37x_rcc.h"
#include "stm32f37x_pwr.h"


int main(void)
{
usart1_init(115200);
printsimple(USART1, "start\n"); 

GPIO_InitTypeDef GPIO_InitStructure;
RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOA, ENABLE);
GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_8;
GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
GPIO_Init(GPIOA, &GPIO_InitStructure);

//no amplification
RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOC, ENABLE);
GPIO_InitStructure.GPIO_Pin =  GPIO_Pin_14|GPIO_Pin_15;
GPIO_Init(GPIOC, &GPIO_InitStructure);
GPIO_ResetBits(GPIOC, GPIO_Pin_14);
GPIO_ResetBits(GPIOC, GPIO_Pin_15);




  while (1)
  {
  GPIO_SetBits(GPIOA, GPIO_Pin_8);
delay_ms(5);
  GPIO_ResetBits(GPIOA, GPIO_Pin_8);
delay_ms(5);
  }
}

