#ifndef _FAT_INTERFACE_H
#define _FAT_INTERFACE_H

#define FAT_HANDLE_OFFSET 16
#define FAT_MAXOPEN 4

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

#include "fat_filelib.h"

extern void fat_mount(void);
extern void fat_umount(void);
extern int _open_fat(const char *pathname, int flags, mode_t mode);
extern ssize_t _write_fat(int fd, const void *buf, size_t count);
extern ssize_t _read_fat(int fd, const void *buf, size_t count);


#if defined(__cplusplus) || defined(c_plusplus)
}
#endif
#endif

