#ifndef lcd_spi1_h_included
#define lcd_spi1_h_included

#include "mcp23s17.h"
#include "delay.h"

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern void lcd_spi1_clear(void);
extern void lcd_spi1_init(void);
extern void lcd_spi1_print(char *t);
extern void lcd_spi1_printn(char *t,uint8_t n);
#define lcd_spi1_print8(x) lcd_spi1_printn(x,8)
extern void lcd_spi1_cursor(uint8_t r, uint8_t c);
extern volatile uint8_t spi1_light;

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
