#ifndef mcp23017_h_included
#define mcp23017_h_included

#include "i2c1.h"


#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern void MCP23017_Setdirection(uint8_t port, uint8_t bits);
void MCP23017_Setiocon(uint8_t port, uint8_t bits);
void MCP23017_Setdefault(uint8_t port, uint8_t bits);
void MCP23017_Setpolarity(uint8_t port, uint8_t bits);
void MCP23017_Setinterrupt(uint8_t port, uint8_t bits);
extern void MCP23017_Write(uint8_t port, uint8_t bits);
extern void MCP23017_ResetBits(uint8_t port, uint8_t bits);
extern void MCP23017_SetBits(uint8_t port, uint8_t bits);
extern void MCP23017_XorBits(uint8_t port, uint8_t bits);
extern uint8_t MCP23017_Read(uint8_t port);
uint8_t MCP23017_Readinterrupt(uint8_t port);
void MCP23017_reset(void);


#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
