#ifndef lcd_h_included
#define lcd_h_included

#include "stm32f37x.h"
#include "delay.h"
#include "stm32f37x_rcc.h"
#include "stm32f37x_gpio.h"
#include "milliohm_spi.h"


#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern void MCP23S17_Setdirection(uint8_t port, uint8_t bits);
void MCP23S17_Setiocon(uint8_t port, uint8_t bits);
void MCP23S17_Setdefault(uint8_t port, uint8_t bits);
void MCP23S17_Setinterrupt(uint8_t port, uint8_t bits);
extern void MCP23S17_Write(uint8_t port, uint8_t bits);
extern void MCP23S17_ResetBits(uint8_t port, uint8_t bits);
extern void MCP23S17_SetBits(uint8_t port, uint8_t bits);
extern void MCP23S17_XorBits(uint8_t port, uint8_t bits);
extern uint8_t MCP23S17_Read(uint8_t port);
uint8_t MCP23S17_Readinterrupt(uint8_t port);
void MCP23S17_reset(void);


#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
