#ifndef adc_h_included
#define adc_h_included

#include "stm32f37x.h"
#include "stm32f37x_rcc.h"
#include "stm32f37x_gpio.h"
#include "stm32f37x_syscfg.h"
#include "stm32f37x_misc.h"
#include "stm32f37x_pwr.h"
#include "stm32f37x_adc.h"
#include "delay.h"



#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern uint32_t read_ADC(uint16_t nrep);
extern uint8_t init_ADC(uint8_t channel);

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
