#ifndef _AHRS2_H
#define _AHRS2_H

#include "vecmat3.h"
#include "quaternion.h"
#include "simple.h"

using namespace LA_Vecmat3;
using namespace LA_Quaternion;
using namespace LA_Simple;

template<typename T>
void AHRSupdate(Quaternion<T> &orientation,const T dt,const T beta, const T beta2, const Vec3<T> &inertial_velocity, const Vec3<T> &linear_acceleration, const Vec3<T> &omega, const Vec3<T> &acceleration, const Vec3<T> &magnet, const Vec3<T> &gravity_reference,  const Vec3<T> &magnetic_reference, bool normalize_gradcorr1=true,  bool normalize_gradcorr2=true, bool ref2_crossproduct=true,const Vec3<T> *ref1_override=NULL);

#endif
