/*
    Copyright (C) 2022 Jiri Pittner <jiri@pittnerovi.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <stdio.h>
#include <math.h>
#include <stdint.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "obd2.h"

#define XSTR(s) STR(s)
#define STR(s) #s

#ifdef WITH_DBC
#include XSTR(DBC_INCLUDE)
#endif

#include "can_display.h"

void can_display(T6963_STM32 &lcd)
{
char z[100];
sprintf(z,"Steer angle = %f",steer_angle); lcd.setCursor(0,0); lcd.write(z);
sprintf(z,"Gas pedal   = %f",gas_pedal); lcd.setCursor(0,1); lcd.write(z);
sprintf(z,"Wheel sp. %6.2f %6.2f %6.2f %6.2f",wheel_speeds[0],wheel_speeds[1],wheel_speeds[2],wheel_speeds[3]);
	lcd.setCursor(0,2); lcd.write(z);
}
