#ifndef kbd_spi1_h_included
#define kbd_spi1_h_included

#include "stm32f37x.h"
#include "stm32f37x_rcc.h"
#include "stm32f37x_gpio.h"
#include "stm32f37x_spi.h"
#include "stm32f37x_exti.h"
#include "stm32f37x_syscfg.h"
#include "stm32f37x_misc.h"


#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern char decode_char(uint8_t line, uint8_t x);
extern char kbd_spi1_getchar(void);
extern void kbd_trap_line(uint8_t line, void (*callback)());
extern void kbd_spi1_init(void);

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
