#ifndef lcd_h_included
#define lcd_h_included

#include "stm32f37x.h"
#include "delay.h"
#include "stm32f37x_rcc.h"
#include "stm32f37x_gpio.h"


#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern void lcd_clear(void);
extern void lcd_init(void);
extern void lcd_print(char *t);
extern void lcd_print8(char *t);
extern void lcd_printn(char *t, uint8_t n);
extern void lcd_cursor(uint8_t r, uint8_t c);
extern uint8_t lcd_light(uint8_t x);

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
