#ifndef usart_h_included
#define usart_h_included

#include <stdint.h>
#include "stm32f37x.h"

#define INUARTMAX 127

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern void printsimple(USART_TypeDef* USARTx, char *t);
extern void printn1(const char *t, int len);
extern void printn2(const char *t, int len);
extern void printn3(const char *t, int len);
extern ssize_t _write(int fd, const void *buf, size_t count);
extern ssize_t _read(int fd, const void *buf, size_t count);
extern void scan(USART_TypeDef* USARTx, char *string);
extern void usart1_init(uint32_t baud);
extern void usart2_init(uint32_t baud);
extern void usart3_init(uint32_t baud);
extern volatile char inuart1[INUARTMAX+1];
extern volatile char inuart2[INUARTMAX+1];
extern volatile char inuart3[INUARTMAX+1];
extern volatile uint8_t inuart1len, inuart1line;
extern volatile uint8_t inuart2len, inuart2line;
extern volatile uint8_t inuart3len, inuart3line;


#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
